/*******************************************************************************
KILTS Data Cleaning

Infiles: The three 2008 tsv files: trips, purchases, and panel
        and the two characteristics files:  products_extra and retailers
Outfiles: The same with .dta
********************************************************************************/


********************************************************************************
* #0 Program Setup
******************************************************************************** 
clear 
set more 1
set memory 200m
capture log close
#delimit ;
log using ../log/NCP01_load_kilts.log, text replace ;


********************************************************************************
* #1 Create Dataset
******************************************************************************** ;
insheet using ../data/panelists_2008.tsv, tab clear ;
rename household_code hhid ;
sum;
sort hhid ;
save ../data/panel08, replace ;

insheet using ../data/panelists_2009.tsv, tab clear ;
rename household_code hhid ;
sum;
sort hhid ;
save ../data/panel09, replace ;

insheet using ../data/panelists_2010.tsv, tab clear ;
rename household_code hhid ;
sum;
sort hhid ;
save ../data/panel10, replace ;

insheet using ../data/trips_2008.tsv, tab clear ;
rename purchase_date tdate ;
rename household_code hhid ;
sum ;
sort hhid tdate ;
save ../data/trips08, replace ;

insheet using ../data/purchases_2008.tsv, tab clear ;
sum ;
sort trip_code_uc ;
save ../data/purchases08, replace ;

insheet using ../data/products_extra_2008.tsv, tab clear ;
sum ;
sort upc ;
save ../data/products08, replace ;

insheet using ../data/retailers.tsv, tab clear ;
sum ;
sort retailer_code ;
save ../data/retailers, replace ;

insheet using ../data/products.tsv, tab clear ;
sum ;
sort upc ;
save ../data/products, replace ;

log close ;
